## camel-imapx-command

camel-imapx-command

## Functions

void | (*CamelIMAPXCommandFunc) ()
CamelIMAPXCommand * | camel_imapx_command_new ()
CamelIMAPXCommand * | camel_imapx_command_ref ()
void | camel_imapx_command_unref ()
gboolean | camel_imapx_command_check ()
void | camel_imapx_command_add ()
void | camel_imapx_command_addv ()
void | camel_imapx_command_add_part ()
void | camel_imapx_command_close ()

## Types and Values

enum | CamelIMAPXCommandPartType
struct | CamelIMAPXCommandPart

## Description

## Functions

### CamelIMAPXCommandFunc ()

    void
    (*CamelIMAPXCommandFunc) (struct _CamelIMAPXServer *is,
                              CamelIMAPXCommand *ic);

### camel_imapx_command_new ()

    CamelIMAPXCommand *
    camel_imapx_command_new (struct _CamelIMAPXServer *is,
                             guint32 job_kind,
                             const gchar *format,
                             ...);

### camel_imapx_command_ref ()

    CamelIMAPXCommand *
    camel_imapx_command_ref (CamelIMAPXCommand *ic);

### camel_imapx_command_unref ()

    void
    camel_imapx_command_unref (CamelIMAPXCommand *ic);

### camel_imapx_command_check ()

    gboolean
    camel_imapx_command_check (CamelIMAPXCommand *ic);

### camel_imapx_command_add ()

    void
    camel_imapx_command_add (CamelIMAPXCommand *ic,
                             const gchar *format,
                             ...);

### camel_imapx_command_addv ()

    void
    camel_imapx_command_addv (CamelIMAPXCommand *ic,
                              const gchar *format,
                              va_list ap);

### camel_imapx_command_add_part ()

    void
    camel_imapx_command_add_part (CamelIMAPXCommand *ic,
                                  CamelIMAPXCommandPartType type,
                                  gpointer data);

### camel_imapx_command_close ()

    void
    camel_imapx_command_close (CamelIMAPXCommand *ic);

## Types and Values

### enum CamelIMAPXCommandPartType

#### Members

CAMEL_IMAPX_COMMAND_SIMPLE |  |
CAMEL_IMAPX_COMMAND_DATAWRAPPER |  |
CAMEL_IMAPX_COMMAND_AUTH |  |
CAMEL_IMAPX_COMMAND_FILE |  |
CAMEL_IMAPX_COMMAND_STRING |  |
CAMEL_IMAPX_COMMAND_MASK |  |
CAMEL_IMAPX_COMMAND_LITERAL_PLUS |  |
CAMEL_IMAPX_COMMAND_CONTINUATION |  |

### struct CamelIMAPXCommandPart

    struct CamelIMAPXCommandPart {
    	gint data_size;
    	gchar *data;

    	CamelIMAPXCommandPartType type;

    	gint ob_size;
    	gpointer ob;
    	gboolean ends_with_crlf;
    };